unit umain;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, StdCtrls, ComCtrls,
  uFrameDUT;

type

  { TForm1 }

  TForm1 = class(TForm)
    PageControl1: TPageControl;
    ScrollBox1: TScrollBox;
    TS_DUT1: TTabSheet;
    TS_DUT2: TTabSheet;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure TS_DUT1Exit(Sender: TObject);
    procedure TS_DUT1Show(Sender: TObject);
  private
    FInit: Boolean;
    MyFrameDUT:TFrmDUT;
    procedure SetFrames;
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

uses
  LazLogger;

{ TForm1 }

procedure TForm1.FormShow(Sender: TObject);
begin
  if not FInit then begin
    SetFrames;
    FInit:= true;
  end;
end;

procedure TForm1.TS_DUT1Exit(Sender: TObject);
begin
  if Assigned(MyFrameDUT) then
    MyFrameDUT.UnSelect;
end;

procedure TForm1.TS_DUT1Show(Sender: TObject);
begin
  if Assigned(MyFrameDUT) then
    MyFrameDUT.Select;
end;

procedure TForm1.SetFrames;
begin
  DebugLnEnter('StartUp Start');
  if not assigned(MyFrameDUT) then begin
    try
      // Frame Login
      MyFrameDUT:= TFrmDUT.Create(ScrollBox1);
      MyFrameDUT.Parent:= ScrollBox1;
      MyFrameDUT.Align:= alClient;
    except
      on E: Exception do begin
        DebugLn( 'MyFrameDUT Exception: '+ E.Message);
      end;
    end;
  end;
  DebugLnExit('StartUp End');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  FInit:= false;
  MyFrameDUT:= nil;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  if Assigned(MyFrameDUT) then
    MyFrameDUT.Select;
end;

procedure TForm1.FormDestroy(Sender: TObject);
begin
  if Assigned(MyFrameDUT) then
    MyFrameDUT.Free;
end;

end.

